
Ruby - Bug #3867

Bus Error when running drb/ssl regression tests on loongson/OpenBSD

09/24/2010 12:53 AM - jeremyevans0 (Jeremy Evans)

Status: Rejected   

Priority: Normal   

Assignee:    

Target version:    

ruby -v:  Backport: 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3:

UNKNOWN

Description

=begin

All the bootstraptest tests pass, but the regular regression test suite aborts before running any tests with an error in drb/ssl:

./miniruby -I./lib -I.ext/common -I./- -r./ext/purelib.rb  ./tool/runruby.rb --extout=.ext  -- "./test/runner.rb"

/usr/obj/ports/ruby-1.9.2-p0/ruby-1.9.2-p0/lib/drb/ssl.rb:57: [BUG] Bus Error

ruby 1.9.2p0 (2010-08-18 revision 29036) [mips64el-openbsd4.8]

-- control frame ----------

c:0023 p:---- s:0099 b:0099 l:000098 d:000098 CFUNC  :initialize

c:0022 p:---- s:0097 b:0097 l:000096 d:000096 CFUNC  :new

c:0021 p:0043 s:0093 b:0093 l:000092 d:000092 METHOD

/usr/obj/ports/ruby-1.9.2-p0/ruby-1.9.2-p0/lib/drb/ssl.rb:57

c:0020 p:0163 s:0085 b:0085 l:000084 d:000084 METHOD

/usr/obj/ports/ruby-1.9.2-p0/ruby-1.9.2-p0/lib/drb/ssl.rb:148

c:0019 p:0019 s:0075 b:0075 l:000066 d:000074 BLOCK 

/usr/obj/ports/ruby-1.9.2-p0/ruby-1.9.2-p0/lib/drb/drb.rb:759

c:0018 p:---- s:0072 b:0072 l:000071 d:000071 FINISH

c:0017 p:---- s:0070 b:0070 l:000069 d:000069 CFUNC  :each

c:0016 p:0017 s:0067 b:0067 l:000066 d:000066 METHOD

/usr/obj/ports/ruby-1.9.2-p0/ruby-1.9.2-p0/lib/drb/drb.rb:757

c:0015 p:0106 s:0061 b:0061 l:000060 d:000060 METHOD

/usr/obj/ports/ruby-1.9.2-p0/ruby-1.9.2-p0/lib/drb/drb.rb:1342

c:0014 p:---- s:0053 b:0053 l:000052 d:000052 FINISH

c:0013 p:---- s:0051 b:0051 l:000050 d:000050 CFUNC  :new

c:0012 p:0234 s:0045 b:0045 l:001640 d:001640 CLASS 

/usr/obj/ports/ruby-1.9.2-p0/ruby-1.9.2-p0/test/drb/test_drbssl.rb:33

c:0011 p:0061 s:0040 b:0040 l:000039 d:000039 TOP   

/usr/obj/ports/ruby-1.9.2-p0/ruby-1.9.2-p0/test/drb/test_drbssl.rb:11

c:0010 p:---- s:0038 b:0038 l:000037 d:000037 FINISH

c:0009 p:---- s:0036 b:0036 l:000035 d:000035 CFUNC  :require

c:0008 p:0013 s:0032 b:0032 l:000031 d:000031 METHOD 

internal:lib/rubygems/custom_require:29

c:0007 p:0077 s:0027 b:0027 l:000016 d:000026 BLOCK 

/usr/obj/ports/ruby-1.9.2-p0/ruby-1.9.2-p0/lib/test/unit.rb:55

c:0006 p:---- s:0022 b:0022 l:000021 d:000021 FINISH

c:0005 p:---- s:0020 b:0020 l:000019 d:000019 CFUNC  :each

c:0004 p:0290 s:0017 b:0017 l:000016 d:000016 METHOD
/usr/obj/ports/ruby-1.9.2-p0/ruby-1.9.2-p0/lib/test/unit.rb:49

c:0003 p:0114 s:0008 b:0008 l:0023e8 d:001258 EVAL   ./test/runner.rb:9

c:0002 p:---- s:0004 b:0004 l:000003 d:000003 FINISH

c:0001 p:0000 s:0002 b:0002 l:0023e8 d:0023e8 TOP

-- Ruby level backtrace information ----------------------------------------

./test/runner.rb:9:in <main>' /usr/obj/ports/ruby-1.9.2-p0/ruby-1.9.2-p0/lib/test/unit.rb:49:in setup_argv'

/usr/obj/ports/ruby-1.9.2-p0/ruby-1.9.2-p0/lib/test/unit.rb:49:in each' /usr/obj/ports/ruby-1.9.2-p0/ruby-1.9.2-p0/lib/test/unit.rb:55:in

block in setup_argv'

internal:lib/rubygems/custom_require:29:in require' <internal:lib/rubygems/custom_require>:29:in require'

/usr/obj/ports/ruby-1.9.2-p0/ruby-1.9.2-p0/test/drb/test_drbssl.rb:11:in <top (required)>'

/usr/obj/ports/ruby-1.9.2-p0/ruby-1.9.2-p0/test/drb/test_drbssl.rb:33:in class:DRbSSLService'

/usr/obj/ports/ruby-1.9.2-p0/ruby-1.9.2-p0/test/drb/test_drbssl.rb:33:in new'

/usr/obj/ports/ruby-1.9.2-p0/ruby-1.9.2-p0/lib/drb/drb.rb:1342:in initialize'

/usr/obj/ports/ruby-1.9.2-p0/ruby-1.9.2-p0/lib/drb/drb.rb:757:in open_server'

/usr/obj/ports/ruby-1.9.2-p0/ruby-1.9.2-p0/lib/drb/drb.rb:757:in each'

/usr/obj/ports/ruby-1.9.2-p0/ruby-1.9.2-p0/lib/drb/drb.rb:759:in block in open_server'

/usr/obj/ports/ruby-1.9.2-p0/ruby-1.9.2-p0/lib/drb/ssl.rb:148:in open_server'

/usr/obj/ports/ruby-1.9.2-p0/ruby-1.9.2-p0/lib/drb/ssl.rb:57:in setup_certificate'

/usr/obj/ports/ruby-1.9.2-p0/ruby-1.9.2-p0/lib/drb/ssl.rb:57:in new'

/usr/obj/ports/ruby-1.9.2-p0/ruby-1.9.2-p0/lib/drb/ssl.rb:57:in `initialize'

[NOTE]

You may have encountered a bug in the Ruby interpreter or extension libraries.

Bug reports are welcome.

For details: http://www.ruby-lang.org/bugreport.html

Abort trap (core dumped)

=end

History

#1 - 06/26/2011 03:40 PM - naruse (Yui NARUSE)

- Status changed from Open to Feedback

We don't have loongson.

Contribution is welcomed.

#2 - 10/30/2012 11:05 PM - mame (Yusuke Endoh)

- Tracker changed from Bug to Feature

#3 - 10/30/2012 11:06 PM - mame (Yusuke Endoh)

- Target version set to 2.6

#4 - 09/13/2015 03:28 AM - zzak (zzak _)

- Assignee set to 7150

#5 - 11/07/2016 02:19 AM - rhenium (Kazuki Yamaguchi)

- Tracker changed from Feature to Bug

- Status changed from Feedback to Rejected

- Backport set to 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3: UNKNOWN

Closing for now. I have no idea what was happening, but OpenSSL::PKey::RSA.new which was called from lib/drb/ssl.rb:57 was re-written in Ruby

2.0.0.
